import { BleScanAdapter, BleScanMode } from "../common";
import { BleScanResult } from "../scan-result";
import { Observable } from "rxjs";
export declare class AndroidBleScanAdapter implements BleScanAdapter {
    private bluetoothAdapter;
    private sdkVersion;
    private activityGetter;
    constructor(bluetoothAdapter?: android.bluetooth.BluetoothAdapter, sdkVersion?: number, activityGetter?: () => any);
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    streamBleScanResults(reportDelay: number, scanMode: BleScanMode): Observable<BleScanResult>;
    private createBleScanStream;
}
