import { BleScanResult } from "./scan-result";
import { Observable } from "rxjs";
export declare enum BleScanMode {
    LOW_POWER = 0,
    LOW_LATENCY = 1,
    BALANCED = 2
}
export interface BleScanAdapter {
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    streamBleScanResults(reportDelay: number, scanMode: BleScanMode): Observable<BleScanResult>;
}
